Name: fluxbox
Version: 0.9.12
Release: 6cofa
Summary:     
Summary(ru_RU.KOI8-R):     
Summary(ru_RU.UTF-8): легкий и быстрый оконный менеджер
License: MIT
Group: Graphical desktop/Other
Url: http://%name.org
Packager: php-coder <php-coder@ngs.ru>

Source0: %name-%version.tar.bz2
Source1: %name.menu
Source2: %name.menu-methods
Source3: %name.wmsession
Source4: %name-icons.tar.bz2

# ,     !
Patch0: clock_ru.patch.bz2
Patch1: with-style-minor-mistake.patch.bz2
Patch2: with-menu-keys-init-configure-options.patch.bz2
Patch3: russian_encoding.patch.bz2

# Automatically added by buildreq on Mon Feb 14 2005
BuildRequires: XFree86-devel XFree86-libs fontconfig-devel freetype2-devel
BuildRequires: gcc-c++ libstdc++-devel pkgconfig xpm-devel zlib-devel
BuildRequires: imlib2-devel >= 1.0.5-alt1

Provides: fluxbox >= 0.1.14-alt1
Requires: man >= 1.5k-alt1

%description
Fluxbox   ,        .     ,      .           KDE  Gnome.       22    . Enjoy! :))

%description -l ru_RU.KOI8-R
Fluxbox   ,        .     ,      .           KDE  Gnome.       22    . Enjoy! :))

%description -l ru_RU.UTF-8
Fluxbox предназначен для тех, кто не любит навороченные и неповоротливые оконные менеджеры. Он обладает множеством различных достоинств, главным из которых является его скорость. Он прост в настройке и скомпилирован с поддержкой аплетов из KDE и Gnome. Кроме того в состав пакета входят 22 оригинальных темы для него. Enjoy! :))

#    :
%prep
#     cd
#      SOURCE4
%setup -a4
#  
%patch0 -p1
%patch1 -p1
%patch2 -p1

#         ;))
pushd nls
%__cp -r ru_RU ru_RU.CP1251
%__cp -r ru_RU ru_RU.UTF-8

%__rm -f ru_RU.{CP1251,UTF-8}/Translation.m

iconv -f koi8-r -t cp1251 ru_RU/Translation.m > ru_RU.CP1251/Translation.m
iconv -f koi8-r -t utf8 ru_RU/Translation.m > ru_RU.UTF-8/Translation.m

%__subst 's|KOI8-R|CP1251|' ru_RU.CP1251/Translation.m
%__subst 's|KOI8-R|UTF-8|' ru_RU.UTF-8/Translation.m

%__subst 's|THE_LANG = ru_RU|THE_LANG = ru_RU.CP1251|' ru_RU.CP1251/Makefile.{am,in}
%__subst 's|THE_LANG = ru_RU|THE_LANG = ru_RU.UTF-8|' ru_RU.UTF-8/Makefile.{am,in}
%__subst 's|THE_LANG = ru_RU|THE_LANG = ru_RU.KOI8-R|' ru_RU/Makefile.{am,in}

%__subst 's|subdir = nls/ru_RU|subdir = nls/ru_RU.CP1251|' ru_RU.CP1251/Makefile.in
%__subst 's|subdir = nls/ru_RU|subdir = nls/ru_RU.UTF-8|' ru_RU.UTF-8/Makefile.in
%__subst 's|subdir = nls/ru_RU|subdir = nls/ru_RU.KOI8-R|' ru_RU/Makefile.in

%__mv ru_RU ru_RU.KOI8-R
popd

%patch3 -p1

#  
echo -e "session.screen0.antialias:\ttrue" >> data/init.in

#  :
%build
#   configure
%__autoconf

%configure  --with-style=%_datadir/%name/styles/Cthulhain \
			--enable-nls \
			--enable-imlib2 \
			--with-x
%make_build

#  :
%install
%make_install DESTDIR=%buildroot install

# find_lang       
%find_lang --custom-dir-script="
s:%buildroot::
s:\(/share/fluxbox/nls/\)\(.*\):%lang(\2) %_datadir/%name/nls/\2:
s:^\([^%].*\)::
s:%lang(C).*::" %name

#  :
%__install -pD -m 644 %name-64.xpm %buildroot%_liconsdir/FluxBox.xpm
%__install -pD -m 644 %name-48.xpm %buildroot%_liconsdir/%name.xpm
%__install -pD -m 644 %name-32.xpm %buildroot%_iconsdir/%name.xpm
%__install -pD -m 644 %name-16.xpm %buildroot%_miconsdir/%name.xpm

#    menu-         
%__install -pD -m 644 %SOURCE1 %buildroot%_menudir/%name

#    -, 
#    ,      
%__install -pD -m 755 %SOURCE2 %buildroot%_sysconfdir/menu-methods/%name

#  ,       
#   
%__install -pD -m 644 %SOURCE3 %buildroot%_sysconfdir/X11/wmsession.d/07%name

#       koi8-r
%__mkdir_p %buildroot%_mandir/ru/man1
iconv -f utf8 -t koi8-r doc/ru/%name.1 > %buildroot%_mandir/ru/man1/%name.1

#          
#         
%__rm -f %buildroot%_datadir/%name/menu
:> %buildroot%_datadir/%name/menu

# ,    
%post
#    Fluxbox
%update_menus
#      
%update_wms

# ,    
%postun
#  ,   ,  Fluxbox
%clean_menus
#      
%clean_wms

# ,       :
#         %name.lang
%files -f %name.lang
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%doc doc/Coding_style data/README.menu data/README.style
%_bindir/*
%dir %_datadir/%name
%dir %_datadir/%name/nls
%_datadir/%name/styles
%_datadir/%name/menu
%config %_datadir/%name/init
%config %_datadir/%name/keys
%_man1dir/*
%_mandir/ru/man1/*
%_miconsdir/*
%_liconsdir/*
%_iconsdir/%name.xpm
%_menudir/*
%_sysconfdir/menu-methods/*
%config %_sysconfdir/X11/wmsession.d/*

#
# TODO:
#
# -   -         
# -        
# -     
# -       
# -  ,     configure  locale path
# -  ,      Slit  
# -  Description  Summary   
# -    ,  update-menus
#
# -  ,    files    
# -   find_lang :))
#

%changelog
* Sun Feb 27 2005 php-coder <php-coder@ngs.ru> 0.9.12-6cofa
-    %%lang  %%find_land
-  init  keys  

* Tue Feb 22 2005 php-coder <php-coder@ngs.ru> 0.9.12-5cofa
-   with-menu-keys-init-configure-options,     configure   --with-{menu,keys,init},       
-   with-style-minor-mistake,        DEFAULT_STYLE ( Sergey Kuleshov <svytogor@gentoo.org>)
-  Summary  %%description   UTF8
-     %%changelog
-  BuildRequires   autoconf, ..       rpm-build

* Wed Feb 16 2005 php-coder <php-coder@ngs.ru> 0.9.12-4cofa
-  man  .       
-     imlib2-devel  BuildRequires
-   Provides,       Fluxbox

* Mon Feb 14 2005 php-coder <php-coder@ngs.ru> 0.9.12-3cofa
-    ALTLinux Master 2.4 (  BuildRequires)
-   clock_ru,         
-      cp1251, ..    man   .  Requires   man >= 1.5k-alt1

* Mon Jan 24 2005 php-coder <php-coder@ngs.ru> 0.9.12-2cofa
-   --enable-imlib2.    png  
-   BuildRequires.  XFree86-libs, autoconf, imlib2-devel  freetype-devel
-  locale-files     .     %%lang
-   -
-  

* Thu Jan 20 2005 php-coder <php-coder@ngs.ru> 0.9.12-1cofa
-    0.9.12
          NEWS  ChangeLog
-    Fluxbox,   ,    help_options, info_options, russian_menu  with-style,       
-   locale-files   spec-

* Fri Jan 14 2005 php-coder <php-coder@ngs.ru> 0.9.11-7cofa
-   russian_encoding.      cp1251    ,             (koi8-r, cp1251  utf-8)      
-  default-style   with-style.      --with-style,           -
- Summary   
-  Summary  %%description   KOI8-R
-  mkdir+cp  ,   ,  install

* Thu Jan 06 2005 php-coder <php-coder@ngs.ru> 0.9.11-6cofa
-   locale-files,   -     . ,   ,  ,   %%_install_langs

* Mon Jan 03 2005 php-coder <php-coder@ngs.ru> 0.9.11-5cofa
-   default_style   default-style.       --default-style,          

* Fri Dec 17 2004 php-coder <php-coder@ngs.ru> 0.9.11-4cofa
-   info_options,        fluxbox -info

* Thu Dec 16 2004 php-coder <php-coder@ngs.ru> 0.9.11-3cofa
-   russian_menu
-      ,   ~/.fluxbox/usermenu
-     :   Styles  Wallpapers

* Wed Dec 08 2004 php-coder <php-coder@ngs.ru> 0.9.11-2cofa
-   russian_menu,       

* Tue Dec 07 2004 php-coder <php-coder@ngs.ru> 0.9.11-1cofa
-    0.9.11
          NEWS  ChangeLog
-    Fluxbox,   ,    NoMoveEmptyMenufile,     
-   help_options,        fluxbox -h
-      cp1251 man-     

* Mon Nov 08 2004 php-coder <php-coder@ngs.ru> 0.9.10-7cofa
-      ALT
-  longtitle  

* Sun Nov 07 2004 php-coder <php-coder@ngs.ru> 0.9.10-6cofa
-    /usr,    /usr/X11R6   

* Tue Oct 12 2004 php-coder <php-coder@ngs.ru> 0.9.10-5cofa
-   -         mini-
-         
-       

* Fri Oct 08 2004 php-coder <php-coder@ngs.ru> 0.9.10-4cofa
-   c  ALTLinux
-  fluxbox.wmsession     ,   
-  WM       

* Sun Sep 19 2004 php-coder <php-coder@ngs.ru> 0.9.10-3cofa
-  Fluxbox       

* Sun Sep 12 2004 php-coder <php-coder@ngs.ru> 0.9.10-2cofa
- man fluxbox   !
-  NoMoveEmptyMenufile     0.9.10
-   default_style.    -   DEFAULT_STYLE,   , 

* Sun Sep 05 2004 php-coder <php-coder@ngs.ru> 0.9.10-1cofa
-    0.9.10
          NEWS  ChangeLog
-    Fluxbox,   ,    fluxbox.1.in, fluxstyle.1  Cthulhain-style,     
-  DEFAULT_DATA     .       DESTDIR

* Fri Aug 20 2004 php-coder <php-coder@ngs.ru> 0.9.9-5cofa
- Makefiles.patch    :
   + fluxbox.1.in.patch - -   doc/fluxbox.1.in
   + fluxstyle.1.patch -     fluxstyle.1   
   + DEFAULT_DATA.patch -   Makefiles.patch
   + fbgm.diff -   fluxbox-generate_menu,     
-  Fluxbox    Blackbox
-       ,  / " "
-   (NoMoveEmptyMenufile.patch),  ,             

* Tue Aug 10 2004 php-coder <php-coder@ngs.ru> 0.9.9-4cofa
-   (NoFontsInStyles.patch),          .    ,   ,         
-  Makefiles.patch.      , ,  ,        

* Fri Jul 30 2004 php-coder <php-coder@ngs.ru> 0.9.9-3cofa
-    /usr/X11R6,    /usr  
-   (Makefiles.patch),         ,    .  ,    ,        
-    Cthulhain
-  buildreq    BuildRequires
-     README.menu, README.style  Coding_style

* Wed Jul 28 2004 php-coder <php-coder@ngs.ru> 0.9.9-2cofa
-   (Cthulhain-style.patch),    Cthulhain     toolbar,    .    elenath  LOR'! :)

* Wed Jun 16 2004 php-coder <php-coder@ngs.ru> 0.9.9-1cofa
-   
        spec-:
   + Anton V. Denisov <avd@altlinux.ru>
   + Sergio Golovanoff <sergio@dill.nov.net>
